=== modified file 'NEWS'
--- NEWS	2006-08-28 21:17:21 +0000
+++ NEWS	2006-09-13 06:38:44 +0000
@@ -17,6 +17,9 @@
       return urlescaped paths. This is now tested (there were bugs in a few
       of the transports) (Andrew Bennetts, David Allouche, John Arbash Meinel)
 
+    * Transport behaviour at the root of the URL is now defined and tested.
+      (Andrew Bennetts, Robert Collins)
+
 bzr 0.10.0RC1  2006-08-28
   
   IMPROVEMENTS:

=== modified file 'bzrlib/tests/test_transport_implementations.py'
--- bzrlib/tests/test_transport_implementations.py	2006-08-30 05:18:59 +0000
+++ bzrlib/tests/test_transport_implementations.py	2006-09-13 06:38:44 +0000
@@ -837,6 +837,16 @@
         # Cloning to "/" should take us to exactly the same location.
         self.assertEqual(root_transport.base, orig_transport.clone("/").base)
 
+        # At the root, the URL must still end with / as its a directory
+        self.assertEqual(root_transport.base[-1], '/')
+
+    def test_clone_from_root(self):
+        """At the root, cloning to a simple dir should just do string append."""
+        orig_transport = self.get_transport()
+        root_transport = orig_transport.clone('/')
+        self.assertEqual(root_transport.base + '.bzr/',
+            root_transport.clone('.bzr').base)
+
     def test_base_url(self):
         t = self.get_transport()
         self.assertEqual('/', t.base[-1])

